
ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.25, 0.021, "Taste Numpad Null: Info Einschalten");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.72, 0.25, 0.02, "Taste Numpad Null: Info Abschalten");
		renderText(0.72, 0.86, 0.025, "- John Deere 8530 Autopowr -");
		renderText(0.72, 0.83, 0.02, "");
		renderText(0.72, 0.81, 0.02, "Taste Pos1: Rundumleuchte ein");
		renderText(0.72, 0.79, 0.02, "Taste Numpad 1: Blinker links");
		renderText(0.72, 0.77, 0.02, "Taste Numpad 2: Warnblinker");
		renderText(0.72, 0.75, 0.02, "Taste Numpad 3: Blinker rechts");			
		renderText(0.72, 0.73, 0.02, "Taste 5		: Arbeitslicht vorn");
		renderText(0.72, 0.71, 0.02, "Taste 6		: Arbeitslicht hinten");
		renderText(0.72, 0.69, 0.02, "Taste 7		: Allrad an/aus");
		renderText(0.72, 0.67, 0.02, "Taste 8		: Zwillingsreifen vorn");
		renderText(0.72, 0.65, 0.02, "Taste 9		: Zwillingsreifen hinten");
		
		renderText(0.72, 0.60, 0.02, "by LSMatzeOst");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




